Subject: (mobile-ip) link layer problem?

From: Lee Myoung Ho <[email-masked]>
Date: Sat, 23 May 1998 22:11:23 +0900 (KST)

In rfc 2002 says...

" While the mobile node is away from home, it MUST NOT transmit any
   broadcast ARP Request or ARP Reply messages.  Finally, while the
   mobile node is away from home, it MUST NOT reply to ARP Requests
   in which the target IP address is its own home address, unless the
   ARP Request is sent by a foreign agent with which the mobile node
   is attempting to register or a foreign agent with which the mobile
   node has an unexpired registration. ... "

I can't undestand why the mobile node can not tranmit ARP request.
If then, how can the mobile node get mac addresses of another nodes like gateway?

thanks for any comments.

Lee.
-----------------------------------------------------------------------------
IETF Mobile IP Working Group Mailing List - Archives:  software.watson.ibm.com
Unsubscribe:	unsubscribe mobile-ip		(as message body, not subject)
Direct all administrative requests to [email-masked]

---

From: Zhigang Liu <[email-masked]>
Date: Sat, 23 May 1998 16:02:54 -0500 (CDT)

> If then, how can the mobile node get mac addresses of another nodes like gateway?

mobile node learn the mac address of FA from its advertisement message.
and it is the only mac address the mobile node need to know.
there maybe a security problem is the mobile node can send out ARP
request in the foreign network